Subject: Re: [RFT] e100 driver on ARM

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 26 Apr 2007 09:19:34 -0700

Lennart Sorensen wrote:
> 
> My suspicision (although it is only that) is that the PXA255 trying to
> access memory may cause interruptions in PCI bus master transfers, which
> is of course not permitted by the PCI spec (at least the way I read it).

Why wouldn't that be permitted?  It, in fact, happens all the time (the
host bridge withdraws the GNT# line and raises STOP#, which does a
Termination With Data of the bus transfer.)  This is a normal event and
if you can't handle it you won't work with many host bridges at all.

	-hpa